# Class SAXNotSupportedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.xml.sax.SAXException
org.xml.sax.SAXNotSupportedException

All Implemented Interfaces:
  `Serializable`

public class SAXNotSupportedException extends SAXException
Exception class for an unsupported operation.

An XMLReader will throw this exception when it recognizes a feature or property identifier, but cannot perform the requested operation (setting a state or value). Other SAX2 applications and extensions may use this class for similar purposes.

Since:
  1.4, SAX 2.0
See Also:
  - `SAXNotRecognizedException`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SAXNotSupportedException()`
  Construct a new exception with no message.
  `SAXNotSupportedException(String message)`
  Construct a new exception with the given message.

- ## Method Summary

  ### Methods declared in class SAXException

  `getCause, getException, getMessage, toString`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SAXNotSupportedException

    public SAXNotSupportedException()
    Construct a new exception with no message.

  - ### SAXNotSupportedException

    public SAXNotSupportedException(String message)
    Construct a new exception with the given message.
    Parameters:
      `message` - The text message of the exception.